<?php

namespace goals\traits;

trait goals_criteria_progress_alert_format_t
{
    abstract public function render(): string;

    public function __toString(): string
    {
        return $this->render();
    }

    public function jsonSerialize(): array
    {
        return [
            'type' => static::class,
            'render' => $this->render(),
        ];
    }
}
